const express = require('express');
const path = require('path');
const http = require('http');
var app = express();
app.use(express.static(path.join(__dirname, 'public'))); 
const nunjucks = require('nunjucks');
nunjucks.configure(path.join(__dirname, 'templates'), {
    autoescape: true,
    express: app
});
const tours = require('./tours.json');

let newLetterSubs = [];

app.get('/', function (req, res) {
    res.render('index.njk');
});

app.get('/about', function(req, res){
	res.render('About.njk');
});

app.get('/Login', function(req, res){
	res.render('Login.njk');
});

app.get('/NewsLetter', function(req, res){
	res.render('NewsLetter.njk');
});

app.get('/Tours', function(req, res){
	res.render('Tours.njk', {tours: tours});
});

app.get("/addTour", function(req, res){
	res.render('AddTour.njk', {tours: tours});
});

app.post("/addTour", express.urlencoded({extended: false}), function(req, res){
	if (req.body.tourType === "Physical") {
		tours.phyTours.push({name: req.body.name, date: req.body.date});
	} else {
		tours.virtTours.push({name: req.body.name, date: req.body.date});
	}
	res.render('Tours.njk', {tours: tours});
});


app.get("/newsSignup", function(req, res){
	newLetterSubs.push(req.query);
	console.log(`News subscribers: ${JSON.stringify(newLetterSubs)}`);
	res.render("NewsThanks.njk", req.query);
});

let host = 'localhost';
let port = process.env.PORT || 3001; 
// app.listen(port, host, function () {
//     console.log("tourServer via Templates listening on IPv4: " + host +
//     ":" + port);
// });
const server = http.createServer(app);
server.listen(port, function(){
  console.log("tourServer via Templates listening on IPv4: " + host + ":" + port);  
});


